Index: uspace/srv/fs/pipefs/pipefs.c
===================================================================
--- uspace/srv/fs/pipefs/pipefs.c	(revision 8d1aab77d57a8850082258d814c0fe77b2eefcf3)
+++ uspace/srv/fs/pipefs/pipefs.c	(revision cf2af9420beac4beb87e825927a6a1c8bbed8ade)
@@ -42,6 +42,6 @@
 
 #include "pipefs.h"
-#include <ipc/ipc.h>
 #include <ipc/services.h>
+#include <ipc/ns.h>
 #include <async.h>
 #include <errno.h>
@@ -88,5 +88,5 @@
 		 * created by IPC_M_CONNECT_TO_ME.
 		 */
-		ipc_answer_0(iid, EOK);
+		async_answer_0(iid, EOK);
 	}
 	
@@ -97,5 +97,5 @@
 	
 		callid = async_get_call(&call);
-		switch  (IPC_GET_METHOD(call)) {
+		switch  (IPC_GET_IMETHOD(call)) {
 		case IPC_M_PHONE_HUNGUP:
 			return;
@@ -140,5 +140,5 @@
 			break;
 		default:
-			ipc_answer_0(callid, ENOTSUP);
+			async_answer_0(callid, ENOTSUP);
 			break;
 		}
@@ -155,5 +155,5 @@
 	}
 
-	int vfs_phone = ipc_connect_me_to_blocking(PHONE_NS, SERVICE_VFS, 0, 0);
+	int vfs_phone = service_connect_blocking(SERVICE_VFS, 0, 0);
 	if (vfs_phone < EOK) {
 		printf(NAME ": Unable to connect to VFS\n");
Index: uspace/srv/fs/pipefs/pipefs.h
===================================================================
--- uspace/srv/fs/pipefs/pipefs.h	(revision 8d1aab77d57a8850082258d814c0fe77b2eefcf3)
+++ uspace/srv/fs/pipefs/pipefs.h	(revision cf2af9420beac4beb87e825927a6a1c8bbed8ade)
@@ -34,5 +34,4 @@
 #define PIPEFS_PIPEFS_H_
 
-#include <ipc/ipc.h>
 #include <libfs.h>
 #include <atomic.h>
Index: uspace/srv/fs/pipefs/pipefs_ops.c
===================================================================
--- uspace/srv/fs/pipefs/pipefs_ops.c	(revision 8d1aab77d57a8850082258d814c0fe77b2eefcf3)
+++ uspace/srv/fs/pipefs/pipefs_ops.c	(revision cf2af9420beac4beb87e825927a6a1c8bbed8ade)
@@ -39,5 +39,4 @@
 #include "pipefs.h"
 #include "../../vfs/vfs.h"
-#include <ipc/ipc.h>
 #include <macros.h>
 #include <stdint.h>
@@ -457,5 +456,5 @@
 	rc = async_data_write_accept((void **) &opts, true, 0, 0, 0, NULL);
 	if (rc != EOK) {
-		ipc_answer_0(rid, rc);
+		async_answer_0(rid, rc);
 		return;
 	}
@@ -466,5 +465,5 @@
 		(void) pipefs_node_put(rootfn);
 		free(opts);
-		ipc_answer_0(rid, EEXIST);
+		async_answer_0(rid, EEXIST);
 		return;
 	}
@@ -473,5 +472,5 @@
 	if (!pipefs_instance_init(devmap_handle)) {
 		free(opts);
-		ipc_answer_0(rid, ENOMEM);
+		async_answer_0(rid, ENOMEM);
 		return;
 	}
@@ -480,5 +479,5 @@
 	assert(rc == EOK);
 	pipefs_node_t *rootp = PIPEFS_NODE(rootfn);
-	ipc_answer_3(rid, EOK, rootp->index, rootp->size, rootp->lnkcnt);
+	async_answer_3(rid, EOK, rootp->index, rootp->size, rootp->lnkcnt);
 	free(opts);
 }
@@ -494,5 +493,5 @@
 
 	pipefs_instance_done(devmap_handle);
-	ipc_answer_0(rid, EOK);
+	async_answer_0(rid, EOK);
 }
 
@@ -524,5 +523,5 @@
 	hlp = hash_table_find(&nodes, key);
 	if (!hlp) {
-		ipc_answer_0(rid, ENOENT);
+		async_answer_0(rid, ENOENT);
 		return;
 	}
@@ -536,6 +535,6 @@
 	size_t size;
 	if (!async_data_read_receive(&callid, &size)) {
-		ipc_answer_0(callid, EINVAL);
-		ipc_answer_0(rid, EINVAL);
+		async_answer_0(callid, EINVAL);
+		async_answer_0(rid, EINVAL);
 		return;
 	}
@@ -548,6 +547,6 @@
 		 */
 		if (pos < nodep->start) {
-			ipc_answer_0(callid, ENOTSUP);
-			ipc_answer_0(rid, ENOTSUP);
+			async_answer_0(callid, ENOTSUP);
+			async_answer_0(rid, ENOTSUP);
 			return;
 		}
@@ -606,6 +605,6 @@
 			 * and remove this else clause
 			 */
-			ipc_answer_0(callid, ENOTSUP);
-			ipc_answer_1(rid, ENOTSUP, 0);
+			async_answer_0(callid, ENOTSUP);
+			async_answer_1(rid, ENOTSUP, 0);
 			return;
 		}
@@ -628,6 +627,6 @@
 
 		if (lnk == &nodep->cs_head) {
-			ipc_answer_0(callid, ENOENT);
-			ipc_answer_1(rid, ENOENT, 0);
+			async_answer_0(callid, ENOENT);
+			async_answer_1(rid, ENOENT, 0);
 			return;
 		}
@@ -643,5 +642,5 @@
 	 * Answer the VFS_READ call.
 	 */
-	ipc_answer_1(rid, EOK, bytes);
+	async_answer_1(rid, EOK, bytes);
 }
 
@@ -663,5 +662,5 @@
 	hlp = hash_table_find(&nodes, key);
 	if (!hlp) {
-		ipc_answer_0(rid, ENOENT);
+		async_answer_0(rid, ENOENT);
 		return;
 	}
@@ -675,6 +674,6 @@
 	size_t size;
 	if (!async_data_write_receive(&callid, &size)) {
-		ipc_answer_0(callid, EINVAL);	
-		ipc_answer_0(rid, EINVAL);
+		async_answer_0(callid, EINVAL);	
+		async_answer_0(rid, EINVAL);
 		return;
 	}
@@ -684,6 +683,6 @@
 	 */
 	if (pos != nodep->size) {
-		ipc_answer_0(callid, ENOTSUP);
-		ipc_answer_2(rid, EOK, 0, nodep->size);
+		async_answer_0(callid, ENOTSUP);
+		async_answer_2(rid, EOK, 0, nodep->size);
 		return;
 	}
@@ -696,6 +695,6 @@
 	void *newdata = malloc(size);
 	if (!newdata) {
-		ipc_answer_0(callid, ENOMEM);
-		ipc_answer_2(rid, EOK, 0, nodep->size);
+		async_answer_0(callid, ENOMEM);
+		async_answer_2(rid, EOK, 0, nodep->size);
 		return;
 	}
@@ -705,6 +704,6 @@
 	if (!newblock) {
 		free(newdata);
-		ipc_answer_0(callid, ENOMEM);
-		ipc_answer_2(rid, EOK, 0, nodep->size);
+		async_answer_0(callid, ENOMEM);
+		async_answer_2(rid, EOK, 0, nodep->size);
 		return;
 	}
@@ -715,6 +714,6 @@
 		free(newblock);
 		free(newdata);
-		ipc_answer_0(callid, rc);
-		ipc_answer_2(rid, EOK, 0, nodep->size);
+		async_answer_0(callid, rc);
+		async_answer_2(rid, EOK, 0, nodep->size);
 		return;
 	}
@@ -727,5 +726,5 @@
 	nodep->size += size;
 	
-	ipc_answer_2(rid, EOK, size, nodep->size);
+	async_answer_2(rid, EOK, size, nodep->size);
 }
 
@@ -735,10 +734,10 @@
 	 * PIPEFS does not support resizing of files
 	 */
-	ipc_answer_0(rid, ENOTSUP);
+	async_answer_0(rid, ENOTSUP);
 }
 
 void pipefs_close(ipc_callid_t rid, ipc_call_t *request)
 {
-	ipc_answer_0(rid, EOK);
+	async_answer_0(rid, EOK);
 }
 
@@ -756,5 +755,5 @@
 	hlp = hash_table_find(&nodes, key);
 	if (!hlp) {
-		ipc_answer_0(rid, ENOENT);
+		async_answer_0(rid, ENOENT);
 		return;
 	}
@@ -762,5 +761,5 @@
 	    nh_link);
 	rc = pipefs_destroy_node(FS_NODE(nodep));
-	ipc_answer_0(rid, rc);
+	async_answer_0(rid, rc);
 }
 
@@ -781,5 +780,5 @@
 	 * thus the sync operation is a no-op.
 	 */
-	ipc_answer_0(rid, EOK);
+	async_answer_0(rid, EOK);
 }
 
